Subject: Re: bug#42350: 26.3; C-c C-c in R console buffer causes Control key to get "stuck"

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Jul 2020 18:03:14 +0300

> From: Mark Seeto <[email-masked]>
> Date: Wed, 15 Jul 2020 11:39:49 +1000
> Cc: [email-masked]
> 
> The reason I thought it was an Emacs problem was that the problem
> happens consistently in Emacs 26.3 but not in Emacs 25.3.1. But I
> don't have a lot of knowledge about Emacs, so there could be something
> I'm overlooking.

Emacs 26 changed the way it reads keyboard input on MS-Windows, but
this is the first time I hear a complaint about such "sticky"
behavior, so it must be somehow related to R.

> I wouldn't expect that you could reproduce it on a system without R,
> because it only happens (as far as I know) if C-c C-c is pressed with
> the right Control key in an R console buffer. It doesn't happen if I
> press C-c C-c in a different buffer.

Did you try asking on R forums about this problem?